Conceal a user's membership
DELETE
/orgs/{org}/public_members/{username}
const url = 'https://gitea.example.com/api/v1/orgs/example/public_members/example';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://gitea.example.com/api/v1/orgs/example/public_members/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
Name of the organization
username
required
string
Username of the user whose membership is to be concealed
Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json